Name: libalsa2-oss
Version: 0.9.0rc1
Release: alt2
%define srcname alsa-oss

Summary: Advanced Linux Sound Architecture (ALSA) OSS compatibility library
Group: System/Libraries
License: GPL
Url: http://www.alsa-project.org/

Source: ftp://ftp.alsa-project.org/pub/lib/%srcname-%version.tar.bz2
#Patch1: alsa-oss-0.9.0beta9-Makefile.patch

Prefix: %prefix

# Automatically added by buildreq on Fri Sep 21 2001
BuildRequires: alsa-driver-headers libalsa2-devel

%package devel
Summary: Development environment for Advanced Linux Sound Architecture (ALSA) OSS compatibility library
Group: Development/C
License: GPL
Requires: %name = %version-%release

%package devel-static
Summary: Static libraries for Advanced Linux Sound Architecture (ALSA) OSS compatibility library
Group: Development/C
License: GPL
Requires: %name-devel = %version-%release

%description
Advanced Linux Sound Architecture (ALSA) libs. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features. This package contains
a OSS compatibility library.

%description devel
Advanced Linux Sound Architecture (ALSA) libs. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

This is the development environment to compile ALSA applications. This package contains
a OSS compatibility library.

%description devel-static
Advanced Linux Sound Architecture (ALSA) libs. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

This package contains static library to build statically linked ALSA applications.
This package contains a OSS compatibility library.

%prep
%setup -q -n %srcname-%version
#%patch1 -p1

%build
%configure --enable-static
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%_libdir
%makeinstall

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_libdir/*.la

%files devel-static
%_libdir/*.a

%changelog
* Tue Nov 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc1-alt2
- Rebuilt in new environment

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc1-alt1
- 0.9.0rc1

* Thu Feb 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta11-alt1
- 0.9.0beta11

* Tue Nov 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta10-alt1a
- 0.9.0beta10a

* Tue Nov 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta9-alt1
- 0.9.0beta9

* Fri Oct 12 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta8-alt1
- 0.9.0beta8

* Fri Sep 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta7-alt1
- First build for Sisyphus
